All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.visuals
Class TabFolder

    com.sas.visuals.TabFolder

All Implemented Interfaces:
  ContainerInterface, com.sas.awt.print.PrintableInterface, VisualInterface, com.sas.beans.PropertyChangeSource, com.sas.beans.VetoableChangeSource, com.sas.ComponentInterface, com.sas.DesignTimeDropTargetInterface, com.sas.lang.StringDataInterface, com.sas.LinkPropertiesInterface, com.sas.ModelInterface, ValidatorInterface, com.sas.ViewInterface, MultipleValueEventSourceInterface, TabFolderInterface, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.ObjectInputValidation, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

Direct Known Subclasses:
  CustomizerPanel

    public class TabFolder

implements TabFolderInterface, com.sas.lang.StringDataInterface

TabFolder is a subclass of Panel that has a TabButtonInterface property. When the TabFolder is added to the TabbedView the tabButton property is used as the tabButton for this panel. The default value for the tabButton property is a TabButton instance.
Notes:

- Setting the background on this TabFolder also sets the background on the TabButton associated with it if the tabButton is a java.awt.Component.

See Also:
  `TabButton`, `TabButtonInterface`, `TabFolderInterface`, Serialized Form

Field Summary
`static java.lang.String` | `RB_KEY`

Constructor Summary
`TabFolder()` Default constructor.
`TabFolder(java.lang.Object item)` Constructor that sets the item object on the TabButtonInterface object.

Method Summary
`static int` | `getDefaultHeight()`
`static int` | `getDefaultWidth()`
`static com.sas.beans.ExtendedBeanInfo` | `getExtendedBeanInfo()`
`TabButtonInterface` | `getTabButton()` Get the TabButtonInterface object associated with this panel.
`java.lang.String` | `getText()` Get the text on the TabButtonInterface object if it implements the StringDataInterface.
`void` | `propertyChange(java.beans.PropertyChangeEvent evt)` Handle a change in the properties of the TabFolder.
`void` | `setBackground(java.awt.Color c)` Set the background for the TabFolder.
`static void` | `setDefaultHeight(int newHeight)`
`void` | `setDefaultValues()` Set the default internal values for the BaseButton.
`static void` | `setDefaultWidth(int newWidth)`
`void` | `setTabButton(TabButtonInterface newTabButton)` Set the TabButtonInterface object associated with this panel.
`void` | `setText(java.lang.String t)` Set the text on the TabButtonInterface object if it implements the StringDataInterface.

Methods inherited from class com.sas.awt.Panel
`remove, remove, removeAll`

Methods inherited from class com.sas.awt.PanelContainerComponent
`addNotify, clone, dragEnter, dragLeave, dragOver, drop, getContainerInterfaceSupportInfo, getErrorHandler, getInsets, getValidator, isIDEDnDDropBarrier, isIDEDnDDropTarget, isValid, removeNotify, setContainerInterfaceSupportInfo, setErrorHandler, setIDEDnDDropBarrier, setIDEDnDDropTarget, setInsets, setInsets, setValidator, superAddNotify, superGetInsets, superRemoveNotify, superSetDefaultValues`

Methods inherited from class com.sas.awt.PanelVisualComponent
`addLink, addPropertyChangeListener, addVetoableChangeListener, anyPropertyChangeListeners, attachModel, attachView, computePreferredSize, detachModel, detachView, dumpComponent, firePropertyChange, firePropertyChange, fireVetoableChange, getBackgroundColor, getBorder, getComponentDescription, getComponentSupportInfo, getEventMethod, getEventValues, getFont, getForegroundColor, getHeight, getHorizontalPosition, getLinkInfo, getMinimumSize, getModelInterface, getPageBounds, getPreferredSize, getPrePainter, getPrintOptionsPanel, getRequiredInterfaces, getVerticalPosition, getViewInterfaceSupportInfo, getVisualInterfaceSupportInfo, getWidth, initialize, initializeComponent, isDesignTime, isEnabled, isFocus, isLinked, isTransparent, isVisible, pageExists, paint, print, printFinalize, printInitialize, queryLinks, queryLinks, refresh, removeAllLinks, removeInterfaceTraps, removeLink, removePropertyChangeListener, removeVetoableChangeListener, setBackgroundColor, setBorder, setBounds, setComponentDescription, setComponentSupportInfo, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setLinkInfo, setModelInterface, setPreferredSize, setPrePainter, setRequiredInterfaces, setTransparent, setVerticalPosition, setViewInterfaceSupportInfo, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate, supportsListenerInterface, supportsRequiredInterfaces, trapInterfaceEvents, update, validateObject`

Methods inherited from interface com.sas.awt.ContainerInterface
`getComponents, getLayout, invalidate, setLayout, validate`

Methods inherited from interface com.sas.awt.VisualInterface
`computePreferredSize, getBackgroundColor, getBorder, getFont, getForegroundColor, getHeight, getHorizontalPosition, getMinimumSize, getPreferredSize, getPrePainter, getVerticalPosition, getVisualInterfaceSupportInfo, getWidth, isEnabled, isFocus, isTransparent, isVisible, setBackgroundColor, setBorder, setBounds, setEnabled, setFocus, setFont, setForegroundColor, setHeight, setHorizontalPosition, setPreferredSize, setPrePainter, setTransparent, setVerticalPosition, setVisible, setVisualInterfaceSupportInfo, setWidth, superGetFont, superGetMinimumSize, superGetPreferredSize, superIsEnabled, superIsVisible, superPaint, superSetBounds, superSetEnabled, superSetFont, superSetVisible, superUpdate`

Field Detail

### RB_KEY

    public static final java.lang.String RB_KEY

See Also:
  Constant Field Values

Constructor Detail

### TabFolder

    public TabFolder()

  Default constructor.

### TabFolder

    public TabFolder(java.lang.Object item)

  Constructor that sets the item object on the TabButtonInterface object.

  Parameters:
    `item` - the item on the tabButton property.

Method Detail

### getExtendedBeanInfo

    public static com.sas.beans.ExtendedBeanInfo getExtendedBeanInfo()

### getDefaultHeight

    public static int getDefaultHeight()

### getDefaultWidth

    public static int getDefaultWidth()

### setDefaultHeight

    public static void setDefaultHeight(int newHeight)

### setDefaultWidth

    public static void setDefaultWidth(int newWidth)

### getTabButton

    public TabButtonInterface getTabButton()

  Get the TabButtonInterface object associated with this panel.

  Specified by:
    `getTabButton` in interface `TabFolderInterface`
  Returns:
    the TabButtonInterface associated with this panel.
  See Also:
    `setTabButton(com.sas.visuals.TabButtonInterface)`

### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

  Handle a change in the properties of the TabFolder.

  Specified by:
    `propertyChange` in interface `java.beans.PropertyChangeListener`
  Overrides:
    `propertyChange` in class `PanelVisualComponent`
  See Also:
    `PropertyChangeListener.propertyChange(java.beans.PropertyChangeEvent)`

### setDefaultValues

    public void setDefaultValues()

  Set the default internal values for the BaseButton.

  Specified by:
    `setDefaultValues` in interface `ContainerInterface`
  Specified by:
    `setDefaultValues` in interface `VisualInterface`
  Specified by:
    `setDefaultValues` in interface `com.sas.ComponentInterface`
  Overrides:
    `setDefaultValues` in class `Panel`
  See Also:
    `ContainerInterface.setDefaultValues()`

### setTabButton

    public void setTabButton(TabButtonInterface newTabButton)

  Set the TabButtonInterface object associated with this panel.

  Specified by:
    `setTabButton` in interface `TabFolderInterface`
  Parameters:
    `newTabButton` - the TabButtonInterface associated with this panel.
  See Also:
    `getTabButton()`

### getText

    public java.lang.String getText()

  Get the text on the TabButtonInterface object if it implements the StringDataInterface.

  Specified by:
    `getText` in interface `com.sas.lang.StringDataInterface`
  Returns:
    null if tabButton doesn't implement the StringDataInterface; otherwise return the text from the tabButton
  See Also:
    `setText(java.lang.String)`, `StringDataInterface`

### setText

    public void setText(java.lang.String t)

  Set the text on the TabButtonInterface object if it implements the StringDataInterface.

  Specified by:
    `setText` in interface `com.sas.lang.StringDataInterface`
  Parameters:
    `t` - if tabButton implements the StringDataInterface set the text property to this String.
  See Also:
    `getText()`, `StringDataInterface`

### setBackground

    public void setBackground(java.awt.Color c)

  Set the background for the TabFolder. Also set the background for the tabButton if it is a java.awt.Component sub-class.

  Overrides:
    `setBackground` in class `java.awt.Component`
  Parameters:
    `c` - the new background color

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.